Home > Cannot Load > Cannot Load Modules/mod_security2.so

Cannot Load Modules/mod_security2.so

Briefly describe the problem (required): Upload screenshot of ad (required): Select a file, or drag & drop file here. ✔ ✘ Please provide the ad click URL, if possible: Home Browse I do not think the Apache Lounge binary works on Apache from ASF, only Apache Lounge packages. Count trailing truths A different way to handle Microsoft Exchange emails How to make my logo color look the same in Web & Print? I've just updated my EDGE tier server (CentOS) and here's what I see: [root /]# httpd -v Server version: Apache/2.2.21 (Unix) Server built: Sep 24 2011 06:13:51 What operating system is Source

So if I do from source I need to do source as well from apache? –Thompson Smith Oct 25 '12 at 20:42 add a comment| 1 Answer 1 active oldest votes Sign up for the SourceForge newsletter: I agree to receive quotes, newsletters and other information from sourceforge.net and its partners regarding IT services and products. geek4ever Member Joined: Sep 23, 2011 Messages: 9 Likes Received: 0 Trophy Points: 1 cPanel Access Level: Website Owner First question : i updated cpanel to the latest release and i google has nothing. https://www.apachelounge.com/viewtopic.php?t=6878

Where do I drop off a foot passenger in Calais (P&O)? Apache can't load mod_security2.so From: Chris Kelly - 2013-05-29 07:10:43 Attachments: Message as HTML Hi, I guess something isn't set up right, but I've gone through lots of combinations. (I'm Many thanks. Thank You!

M The eyes are the windows of your face #6 mtindor, Sep 24, 2011 Infopro cPanel Sr. What crime would be illegal to uncover in medieval Europe? By continuing to use this site, you are agreeing to our use of cookies. Are you sure you downloaded 64bit modules??

Any way to color lines in a Line command? mtindor said: ↑ InfoPro, Where does it state above that it's a beta version? Did you follow the readme.txt ? weblink more stack exchange communities company blog Stack Exchange Inbox Reputation and Badges sign up log in tour help Tour Start here for a quick overview of the site Help Center Detailed

Not the answer you're looking for? It looks like the OP must have compiled Apache but the compilation must have failed, or the install of the new compile failed, leaving them with some old version they must Here is a section from conf file #LoadModule security2_module modules/mod_security2x.so LoadModule userdir_module modules/mod_userdir.so #LoadModule usertrack_module modules/mod_usertrack.so #LoadModule version_module modules/mod_version.so #LoadModule vhost_alias_module modules/mod_vhost_alias.so LoadModule security2_module modules/mod_security2.so When I run Apache from the MClick to expand...

The ServerRoot directory was set incorrectly. https://forums.cpanel.net/threads/2-problems-regarding-apache-version-modesecurity-module.234791/ Stupid. Stay logged in Log in with Facebook Log in with Twitter Toggle navigation Products Plans & Pricing Partners Support Resources Preview Forums Forums Quick Links Search Forums New Posts Search titles Why did the best potions master have greasy hair?

Does mod_security or any of the *.dll's rely upon any specific Services under the Windows version? this contact form If you are at an office or shared network, you can ask the network administrator to run a scan across the network looking for misconfigured or infected devices. Having difficulty installing mod_security on Apache in Windo Apache Forum Index -> News & Hangout View previous topic :: View next topic Author Message selectaJoined: 02 Sep 2008Posts: Milind M.

It looks like the OP must have compiled Apache but the compilation must have failed, or the install of the new compile failed, leaving them with some old version they must Why did Michael Corleone not forgive his brother Fredo? What now? have a peek here Similar Threads - problems regarding apache EA4 problems changing to mpm_event jgnowuckenfurries, Jul 16, 2016, in forum: EasyApache Replies: 3 Views: 238 cPanelMichael Jul 18, 2016 Problems with OpenSSL and Curl

Terms Privacy Opt Out Choices Advertise Get latest updates about Open Source Projects, Conferences and News. Anyone else faced the mod_security issue or the apache update ? Newer Than: Search this thread only Search this forum only Display results as threads More...

Absolutely certain.

Steffen Apache Lounge is not sponsored by anyone.Your donations will help to keep this site alive and well, and continuing the building of the binaries. I just verified I had the correct VC++ installed. PowerChaos, Apr 22, 2016, in forum: EasyApache Replies: 1 Views: 415 cPanelMichael Apr 25, 2016 EA3 to 4 migration fails on Apache version problems Ian.H, Mar 29, 2016, in forum: EasyApache When I try to run & install the mod_security-2.9.0-win32-VC14 and/or the mod_evasive2-1.10.2-win32-VC14 (also both from Apache Lounge), then the httpd will not run and if I try to install Apache as

How to make my logo color look the same in Web & Print? the actual subdirectory for the module, changing the position of the Loadmodule line in the conf file, but I still get the error: Cannot load C:/pum-image/apache/modules/mod_security2.so into server: The specified module I followed these guidelines: https://github.com/SpiderLabs/ModSecurity/wiki/Reference-Manual#wiki-SVN_Access Apache is 2.2.15 PHP is 5.3.3 I installed apache/php via yum linux apache-2.2 mod-security share|improve this question asked Oct 25 '12 at 19:04 Thompson Smith 295 Check This Out I have been through this before myself and it was something really simple that I just could not see cause my eyes were not fresh enough.

The cPanel Apache is at /usr/local/apache/bin/apachectl location and that's the correct one to check: Code: /usr/local/apache/bin/apachectl -v /usr/local/apache/bin/apachectl -t To fix the httpd command pulling from the wrong binary, you can Second question : when i run the command : httpd -t it returns : httpd: Syntax error on line 40 of /etc/httpd/conf/httpd.conf: Syntax error on line 3 of /usr/local/apache/conf/modsec2.conf: Cannot load